Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.businessconnector.ehboxV2.service.impl
Class ConsultationServiceImpl

    java.lang.Object
      be.ehealth.businessconnector.ehboxV2.service.impl.ConsultationServiceImpl

All Implemented Interfaces:
  ConsultationService

    public class ConsultationServiceImpl

extends Object
implements ConsultationService

Implementation of `ConsultationService`.

Constructor Summary
`ConsultationServiceImpl()` default constructor, needed for ModuleBootstrapHook
`ConsultationServiceImpl(SessionValidator sessionValidator, EhboxReplyValidator replyValidator)` Instantiates a new consultation service impl.

Method Summary
`DeleteMessageResponse` | `deleteMessage(SAMLToken token, DeleteMessageRequest request)`
`GetBoxInfoResponse` | `getBoxInfo(SAMLToken token, GetBoxInfoRequest getBoxInfoRequest)` Gets the box info.
`GetFullMessageResponse` | `getFullMessage(SAMLToken token, MessageRequestType messageRequestType)` Gets the full message.
`GetMessageAcknowledgmentsStatusResponse` | `getMessageAcknowledgmentsStatusResponse(SAMLToken token, GetMessageAcknowledgmentsStatusRequest messageAcknowledgmentsStatusRequest)` Get the acknowlegement status.
`GetHistoryResponse` | `getMessageHistory(SAMLToken token, MessageRequestType messageRequestType)` Gets the message history.
`GetMessageListResponseType` | `getMessageList(SAMLToken token, GetMessagesListRequest messagesListRequest)` Gets the message list.
`ResponseType` | `moveMessage(SAMLToken token, MoveMessageRequest messageRequestType)` Move to in box.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConsultationServiceImpl

    public ConsultationServiceImpl(SessionValidator sessionValidator,
                                   EhboxReplyValidator replyValidator)

  Instantiates a new consultation service impl.

  Parameters:
    `sessionValidator` - the session validator
    `replyValidator` - the reply validator

### ConsultationServiceImpl

    public ConsultationServiceImpl()

  default constructor, needed for ModuleBootstrapHook

Method Detail

### getBoxInfo

    public GetBoxInfoResponse getBoxInfo(SAMLToken token,
                                         GetBoxInfoRequest getBoxInfoRequest)
                                  throws TechnicalConnectorException,
                                         EhboxBusinessConnectorException,
                                         SessionManagementException

  Gets the box info.

  Specified by:
    `getBoxInfo` in interface `ConsultationService`
  Parameters:
    `token` - the token
  Returns:
    the box info
  Throws:
    `TechnicalConnectorException` - the technical connector exception
    `EhboxBusinessConnectorException` - the business connector exception the business connector exception
    `SessionManagementException`

### getFullMessage

    public GetFullMessageResponse getFullMessage(SAMLToken token,
                                                 MessageRequestType messageRequestType)
                                          throws TechnicalConnectorException,
                                                 EhboxBusinessConnectorException,
                                                 SessionManagementException

  Gets the full message.

  Specified by:
    `getFullMessage` in interface `ConsultationService`
  Parameters:
    `token` - the token
    `messageRequestType` - the message request type
  Returns:
    the full message
  Throws:
    `TechnicalConnectorException` - the technical connector exception
    `EhboxBusinessConnectorException` - the business connector exception the business connector exception
    `SessionManagementException`

### getMessageHistory

    public GetHistoryResponse getMessageHistory(SAMLToken token,
                                                MessageRequestType messageRequestType)
                                         throws TechnicalConnectorException,
                                                EhboxBusinessConnectorException,
                                                SessionManagementException

  Gets the message history.

  Specified by:
    `getMessageHistory` in interface `ConsultationService`
  Parameters:
    `token` - the token
    `messageRequestType` - the message request type
  Returns:
    the message history
  Throws:
    `TechnicalConnectorException` - the technical connector exception
    `EhboxBusinessConnectorException` - the business connector exception the business connector exception
    `SessionManagementException`

### getMessageList

    public GetMessageListResponseType getMessageList(SAMLToken token,
                                                     GetMessagesListRequest messagesListRequest)
                                              throws TechnicalConnectorException,
                                                     EhboxBusinessConnectorException,
                                                     SessionManagementException

  Gets the message list.

  Specified by:
    `getMessageList` in interface `ConsultationService`
  Parameters:
    `token` - the token
    `messagesListRequest` - the messages list request
  Returns:
    the message list
  Throws:
    `TechnicalConnectorException` - the technical connector exception
    `EhboxBusinessConnectorException` - the business connector exception the business connector exception
    `SessionManagementException`

### moveMessage

    public ResponseType moveMessage(SAMLToken token,
                                    MoveMessageRequest messageRequestType)
                             throws TechnicalConnectorException,
                                    EhboxBusinessConnectorException,
                                    SessionManagementException

  Move to in box.

  Specified by:
    `moveMessage` in interface `ConsultationService`
  Parameters:
    `token` - the token
    `messageRequestType` - the message request type
  Returns:
    the response type
  Throws:
    `TechnicalConnectorException` - the technical connector exception
    `EhboxBusinessConnectorException` - the business connector exception the business connector exception
    `SessionManagementException`

### getMessageAcknowledgmentsStatusResponse

    public GetMessageAcknowledgmentsStatusResponse getMessageAcknowledgmentsStatusResponse(SAMLToken token,
                                                                                           GetMessageAcknowledgmentsStatusRequest messageAcknowledgmentsStatusRequest)
                                                                                    throws TechnicalConnectorException,
                                                                                           EhboxBusinessConnectorException,
                                                                                           SessionManagementException

  Description copied from interface: `ConsultationService`
  Get the acknowlegement status.

  Specified by:
    `getMessageAcknowledgmentsStatusResponse` in interface `ConsultationService`
  Parameters:
    `token` - the token
    `messageAcknowledgmentsStatusRequest` - the acknowlegment status type
  Returns:
    the acknowledgment status.
  Throws:
    `TechnicalConnectorException` - the technical connector exception
    `SessionManagementException`
    `EhboxBusinessConnectorException` - the business connector exception
  See Also:
    `ConsultationService.getMessageAcknowledgmentsStatusResponse(be.ehealth.technicalconnector.service.sts.security.SAMLToken, be.fgov.ehealth.ehbox.consultation.protocol.v2.GetMessageAcknowledgmentsStatusRequest)`

### deleteMessage

    public DeleteMessageResponse deleteMessage(SAMLToken token,
                                               DeleteMessageRequest request)
                                        throws SessionManagementException,
                                               TechnicalConnectorException,
                                               EhboxBusinessConnectorException

  Specified by:
    `deleteMessage` in interface `ConsultationService`
  Throws:
    `EhboxBusinessConnectorException`
    `TechnicalConnectorException`
    `SessionManagementException`
  See Also:
    `be.ehealth.businessconnector.ehboxV2.service.ConsultationService#deleteMessage(be.fgov.ehealth.ehbox.consultation.protocol.v2.DeleteMessageRequest)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPHYSICIAN 3.11.1 API
Copyright © {inceptionYear}-2016 eHealth. All Rights Reserved.